let webpack = require('webpack')
module.exports = {
    entry: { //入口
        name: './dist/app.js' //键名随意，值为项目入口js
    },
    output: { //出口
        filename: './bundle.js' //键名必须为filename，值为项目编译好的js
    },
    watch: true,
    devServer:{   // 配置webpack-dev-serveer命令参数的第二种形式
        open:true,//自动打开浏览器
        port:8080,//启动端口
        contentBase:'./',//指定托管根目录
        hot:true //启动热更新
    },
    plugins:[
        new webpack.HotModuleReplacementPlugin()
    ],
    module: {
        loaders: [
            {
                test: /\.css$/,
                loader: 'style-loader!css-loader'
            },
            {
                test:/\.(jpg|jpeg|png|gif|bmp)$/,
                loader:'url-loader?limit=20&name=[hash:8]-[name].[ext]'
            },
            {
                test:/\.(ttf|eot|svg|woff|woff2)$/,
                loader:'url-loader'
            },
            {
                test:/\.js$/,
                loader:'babel-loader',
                exclude:/node_modules/
            }
        ]

    }
}