var path = require('path')
var htmlwebpackplugin = require('html-webpack-plugin')
module.exports = {
    entry: { //入口
        name: './dist/app.js' //键名随意，值为项目入口js
    },
    output: { //出口
        path:path.resolve('./src'),//相对转绝对，设定一个输出文件路径
        filename: './bundle.js' //键名必须为filename，值为项目编译好的js
    },
    plugins:[
        new htmlwebpackplugin({
            template:`./index.html` // html文件参照物，即开发环境下的html文件
        })
    ],
    module: {
        loaders: [
            {
                test: /\.css$/,
                loader: 'style-loader!css-loader'
            },
            {
                test:/\.(jpg|jpeg|png|gif|bmp)$/,
                loader:'url-loader?limit=20&name=[hash:8]-[name].[ext]'
            },
            {
                test:/\.(ttf|eot|svg|woff|woff2)$/,
                loader:'url-loader'
            },
            {
                test:/\.js$/,
                loader:'babel-loader',
                exclude:/node_modules/
            }
        ]

    }
}